ApiRoleRef (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiRoleRef

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRoleRef

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiRoleRef
      extends Object

  A roleRef references a role. Each role is identified by its \"roleName\", the \"serviceName\" for the service it belongs to, and the \"clusterName\" in which the service resides. To operate on the role object, use the API with the those fields as parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRoleRef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRoleRef` | `clusterName(String clusterName)`
    `boolean` | `equals(Object o)`
    `String` | `getClusterName()`
    `ApiHealthSummary` | `getHealthSummary()` The high-level health status of this role.
    `String` | `getRoleName()`
    `ApiRoleState` | `getRoleStatus()` Readonly.
    `String` | `getServiceName()`
    `int` | `hashCode()`
    `ApiRoleRef` | `healthSummary(ApiHealthSummary healthSummary)`
    `ApiRoleRef` | `roleName(String roleName)`
    `ApiRoleRef` | `roleStatus(ApiRoleState roleStatus)`
    `ApiRoleRef` | `serviceName(String serviceName)`
    `void` | `setClusterName(String clusterName)`
    `void` | `setHealthSummary(ApiHealthSummary healthSummary)`
    `void` | `setRoleName(String roleName)`
    `void` | `setRoleStatus(ApiRoleState roleStatus)`
    `void` | `setServiceName(String serviceName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRoleRef

          public ApiRoleRef()

  - ### Method Detail

    - #### clusterName

          public ApiRoleRef clusterName(String clusterName)

    - #### getClusterName

          public String getClusterName()

      Returns:
        clusterName

    - #### setClusterName

          public void setClusterName(String clusterName)

    - #### serviceName

          public ApiRoleRef serviceName(String serviceName)

    - #### getServiceName

          public String getServiceName()

      Returns:
        serviceName

    - #### setServiceName

          public void setServiceName(String serviceName)

    - #### roleName

          public ApiRoleRef roleName(String roleName)

    - #### getRoleName

          public String getRoleName()

      Returns:
        roleName

    - #### setRoleName

          public void setRoleName(String roleName)

    - #### healthSummary

          public ApiRoleRef healthSummary(ApiHealthSummary healthSummary)

    - #### getHealthSummary

          public ApiHealthSummary getHealthSummary()

      The high-level health status of this role.
      Returns:
        healthSummary

    - #### setHealthSummary

          public void setHealthSummary(ApiHealthSummary healthSummary)

    - #### roleStatus

          public ApiRoleRef roleStatus(ApiRoleState roleStatus)

    - #### getRoleStatus

          public ApiRoleState getRoleStatus()

      Readonly. The entity status for this role. Available since API v11.
      Returns:
        roleStatus

    - #### setRoleStatus

          public void setRoleStatus(ApiRoleState roleStatus)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.